Package org.kie.api.fluent

## Interface HumanTaskNodeBuilder<T extends NodeContainerBuilder<T,​?>>

- All Superinterfaces:
    `NodeBuilder<HumanTaskNodeBuilder<T>,​T>`

      public interface HumanTaskNodeBuilder<T extends NodeContainerBuilder<T,​?>>
      extends NodeBuilder<HumanTaskNodeBuilder<T>,​T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HumanTaskNodeBuilder<T>` | `actorId​(java.lang.String actorId)` |
    `HumanTaskNodeBuilder<T>` | `comment​(java.lang.String comment)` |
    `HumanTaskNodeBuilder<T>` | `content​(java.lang.String content)` |
    `HumanTaskNodeBuilder<T>` | `inMapping​(java.lang.String parameterName, java.lang.String variableName)` |
    `T` | `onEntryAction​(Dialect dialect, java.lang.String action)` |
    `T` | `onExitAction​(Dialect dialect, java.lang.String action)` |
    `HumanTaskNodeBuilder<T>` | `outMapping​(java.lang.String parameterName, java.lang.String variableName)` |
    `HumanTaskNodeBuilder<T>` | `priority​(java.lang.String priority)` |
    `HumanTaskNodeBuilder<T>` | `skippable​(boolean skippable)` |
    `HumanTaskNodeBuilder<T>` | `swimlane​(java.lang.String swimlane)` |
    `HumanTaskNodeBuilder<T>` | `taskName​(java.lang.String taskName)` |
    `T` | `timer​(java.lang.String delay, java.lang.String period, Dialect dialect, java.lang.String action)` |
    `HumanTaskNodeBuilder<T>` | `waitForCompletion​(boolean waitForCompletion)` |
    `HumanTaskNodeBuilder<T>` | `workParameter​(java.lang.String name, java.lang.Object value)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### taskName

          HumanTaskNodeBuilder<T> taskName​(java.lang.String taskName)

    - #### actorId

          HumanTaskNodeBuilder<T> actorId​(java.lang.String actorId)

    - #### priority

          HumanTaskNodeBuilder<T> priority​(java.lang.String priority)

    - #### comment

          HumanTaskNodeBuilder<T> comment​(java.lang.String comment)

    - #### skippable

          HumanTaskNodeBuilder<T> skippable​(boolean skippable)

    - #### content

          HumanTaskNodeBuilder<T> content​(java.lang.String content)

    - #### inMapping

          HumanTaskNodeBuilder<T> inMapping​(java.lang.String parameterName,
                                            java.lang.String variableName)

    - #### outMapping

          HumanTaskNodeBuilder<T> outMapping​(java.lang.String parameterName,
                                             java.lang.String variableName)

    - #### waitForCompletion

          HumanTaskNodeBuilder<T> waitForCompletion​(boolean waitForCompletion)

    - #### swimlane

          HumanTaskNodeBuilder<T> swimlane​(java.lang.String swimlane)

    - #### workParameter

          HumanTaskNodeBuilder<T> workParameter​(java.lang.String name,
                                                java.lang.Object value)

    - #### onEntryAction

          T onEntryAction​(Dialect dialect,
                          java.lang.String action)

    - #### onExitAction

          T onExitAction​(Dialect dialect,
                         java.lang.String action)

    - #### timer

          T timer​(java.lang.String delay,
                  java.lang.String period,
                  Dialect dialect,
                  java.lang.String action)